FreeMat

- Main Page
- Related Pages

vtkLinearSubdivisionFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkLinearSubdivisionFilter is a filter that generates output by subdividing its input polydata. Each subdivision iteration create 4 new triangles for each triangle in the polydata.

To create an instance of class vtkLinearSubdivisionFilter, simply invoke its constructor as follows

      obj = vtkLinearSubdivisionFilter

# Methods

The class vtkLinearSubdivisionFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkLinearSubdivisionFilter class.

- `string = obj.GetClassName ()` - Construct object with NumberOfSubdivisions set to 1.
- `int = obj.IsA (string name)` - Construct object with NumberOfSubdivisions set to 1.
- `vtkLinearSubdivisionFilter = obj.NewInstance ()` - Construct object with NumberOfSubdivisions set to 1.
- `vtkLinearSubdivisionFilter = obj.SafeDownCast (vtkObject o)` - Construct object with NumberOfSubdivisions set to 1.